f



Using GPIB-USB HS with Labview 3.1

Hi,
I have a old computer with Labview 3.1 and Windown 3.1, and the GPIB card in the old computer is broken.
I am using Labview to make some measurements via GPIB.
So I switched to a new computer and I am still using the old vi with the conversion kit from NI (which I can run Labview 3.1 in Windows XP)
I also bought the GPIB-USB HS, and installed it.
 
The problem now is that there is a GPIB function in Labview 3.1 which I need to tell it the address of the GPIB.
After switching to the GPIB-USB HS, I dont know what is the address.
It doesnt show in any port # in the device manager.
I also tried from 0~127, and none of them works.
 
 
Do I need to modify anything in the vi of Labview 3.1?
And how do I find out the address of the GPIB-USB HS?
 
Thanks
0
x9561 (148440)
4/7/2007 8:40:07 PM
comp.lang.labview 35213 articles. 1 followers. vasusachin24 (1) is leader. Post Follow

4 Replies
670 Views

Similar Articles

[PageSpeed] 17

I have the conversion package from NI.
I haven't tried to convert it yet, because I think there will be lots of problems after conversion.
 
I attached the library anyway.
 
Thanks for you help.


CVSTUFF.LLB:
http://forums.ni.com/attachments/ni/170/240349/1/CVSTUFF.LLB
0
x9561 (148440)
4/8/2007 9:10:08 PM
Hey Bui,
 
Regarding the issue about finding the address, you should be able to click on the GPIB0 in MAX, and it should display the image. I've attached both a screenshot of MAX, and the labVIEW<->GPIB.vi  that you can find in labVIEW. It's a simple program that does communication with a GPIB device. If you go to labVIEW and open the menu, Help->Find Examples...->Search(Tab)->And search for GPIB, you should be able to find the VI.
 
If this doesn't work, just let us know, and I can introduce another troubleshooting strategy afterwards.
 
<img src="http://forums.ni.com/attachments/ni/170/240494/1/MAX.jpg"> 
&nbsp;
<img src="http://forums.ni.com/attachments/ni/170/240494/2/GPIB.jpg"> 
&nbsp;Message Edited by Nick D on 04-09-2007  03:35 PM


MAX.jpg:
http://forums.ni.com/attachments/ni/170/240494/1/MAX.jpg


GPIB.jpg:
http://forums.ni.com/attachments/ni/170/240494/2/GPIB.jpg
0
x9561 (148440)
4/9/2007 8:40:08 PM
Hi,
Thanks for the help.&nbsp; I know how to find out the address know.
But when I tried to do the mass compile from 2.x to 3.x then from 3.x to 4.x, I always have errors during the process from 2.x to 3.x
&nbsp;
In one computer, the labview just crashes during the mass compile.
In another computer, the labview crashes right after I click mass compile.
&nbsp;
0
x9561 (148440)
4/13/2007 8:40:11 PM
Hi,
It says For instance, to open VIs saved in LabVIEW 2.x, you must first mass compile them in LabVIEW 3.1.1 and then mass compile them in LabVIEW 4.0.1. After saving VIs in LabVIEW 4.0.1, you can open them in later versions of LabVIEW.
When I tried to do mass compile from Labview 2.x to Labview 3.1.1, the program just crashed.
0
x9561 (148440)
4/17/2007 12:10:07 AM
Reply:

Similar Artilces:

How do I create Labview VISA ports for *individual* GPIB instruments using Prologix USB GPIB controller?
Hello, I'm trying to use a Prologix USB GPIB controller to control GPIB instruments, and I would like to have a virtual serial (VISA) port for *each instrument*, as is the case with a normal GPIB controller with a standard NI driver. However this is not what the Prologix driver provides -- it provides a single VISA virtual serial port for the entire controller. To address the instrument with GPIB address 11, you first send "++addr 11" to the serial port, and then you're talking to instrument 11. However, this means I have to change all old Labview programs. Is it possible to create a "wrapper" function of some kind that will define a virtual serial (VISA) port for each *instrument* on the controller? For example, to talk to GPIB instrument 11, call it ASRL3::11::INSTR, each time it is written to it would have to write to the virtual serial port of the controller, say ASRL3::INSTR, first "+ +addr 11" and then the command that is sent to it. A clearer explanation of the difference (i.e. incompatibility), and of my objective: 1) A normal GPIB controller with NI driver: I go to the NI Measurement & Instrumentation Panel, under GPIB, and Scan for Instruments; all the live instruments show up; subsequently when I want to use Labview programs that use VISA ports, the VISA drop boxes allow me to choose a different port for each instrument, e.g. "GPIB0::11::INSTR", "GPIB0::12::INSTR" would be instruments at addresse...

Trying to use Labview Test Executive with Labview 7.1
I have an old application I wrote in Labview 5.1 using the Test Executive version 5.1.&nbsp; I now need to modify the program slightly for a new product. So far I have done the following: 1. Installed the Test Executive in the Labview 7.1 directory 2. Mass compiled the vi's in the LVEXEC51 folder &nbsp; During the mass compile, I see a number of errors when it tries to compile the vi's in the DATABASE folder. It can't seem to find vi's related to SQL (ie Easy SQL.vi). When I try to run the Test Executive directly from the Operator.llb, I see the following errors: &n...

Problem in creating the simulation dll using SIT 2.0.3,matlab 7.1,labview 7.1
I am currently using SIT 2.0.3 ,using this toolkit i am trying to create the simulation DLL for labview.but i am getting the following error in matlab command window Error: File: C:\SimulationInterfaceToolkit\ModelInterface\basic.tlc Line: 117 Column: 7Undefined identifier ReleaseVersionError: File: C:\SimulationInterfaceToolkit\ModelInterface\basic.tlc Line: 117 Column: 25The == and != operators can only be used to compare values of the same typeError: File: C:\SimulationInterfaceToolkit\ModelInterface\basic.tlc Line: 260 Column: 26Undefined identifier ReleaseVersionError: File: C:\SimulationInterfaceToolkit\ModelInterface\basic.tlc Line: 260 Column: 44The == and != operators can only be used to compare values of the same type &nbsp; Is this a version problem? I am using Simulation interface toolkit 2.0.3 Matlab 7.1.0.246(R14) Service pack Real time workshop V.6.3 Labview 7.1 Microsoft visual C++ 6.0 &nbsp; Can anybody help me to solve this issue. &nbsp; Hi, Unfortunately, it looks like the versions you are using are indeed not compatible. Here is an excerpt from the <a href="http://ftp.ni.com/support/softlib/labview/labview_toolkits/simulation_interface/2.0.3/sit_2_0_3_readme.html" target="_blank">Read Me file</a> for Simulation Interface Toolkit 2.0.3: To use the Simulation Interface Toolkit 2.0.3, you must be a properly licensed user of and have the following software installed on the host computer. - The MathWorks MATLAB ver...

How can i use USB with labview 6.1
I want to use my usb port with labview 6.1, but i don't know how to use it. Hello, The USB port cannot be used as easily as for example the serial or parallel port because it does not have a fixed protocol like the serial port. All devices that are connected to the USB port work with some driver (usually some kind of dll) which you have to port to LabVIEW. So call the driver dll's from LabVIEW to send or read commands from and to your USB port. Best Regards, RikP Application Engineering National Instruments Hello, Some additional information about this: First download and instal...

Differences in CIN management between Labview 5.0 and Labview 7.1 ? #3
Hi, &nbsp; I'm using a VI on a two photon microscope. It steers the laser beam in the sample (quite the same way as a TV scan, scanning a fast line on the X axis, then moving the line down)&nbsp;controlling two mirrors by the&nbsp;PCI-MIO-16E-4 Multifunctions card&nbsp;on traditional DAQ and at the same time it serves as the acquitision through a non-NI DSP Multifunction-board with on-board buffers and hight data throughput (70 Mb/s). &nbsp; It is this part of the program which gives us strong headaches since we have upgraded to a new PC. On the old machine we used Win...

How to convert LabVIEW 3.0 version source code to LabVIEW 6.1 Version?
How to convert LabVIEW 3.0 version source code to LabVIEW 6.1 Version? Follow this link to see how to get the free VI Conversion package from NI... http://digital.ni.com/public.nsf/3efedde4322fef19862567740067f3cc/429e45271cfd683786256d87006b1eef?OpenDocument Dan ...

Why is my GPIB interface dead after installing LabView 6.1 when upgrading from LabView 6.0.2
We installed LV6.1 on our Win2000 machine. GPIB interface no longer works. We had been using LV6.0.2. Did you try to use MAX to check your GPIB interface? Click "F5" to Refresh the system if you can't see the GPIB interface. If you can see the it, try to run NI 488.2 Troubleshooting Wizard under Help->Troubleshooting to test the interface. Bill Yes, I used MAX. The GPIB card shows up there. So does the GPIB instrument. I tried to test the interface with the communicate with device button. The query just timed out. We un-installed the GPIB card and then re-installed i...

I looking for examples to use a GPIB HP53181a with LABVIEW 6.1
I do not know commands to send to HP53181a. I looking for to measure the fr=E9quency at the entry. You can start by going to the following link on the Agilent website: http://we.home.agilent.com/cgi-bin/bvpub/agilent/editorial/cp_MiscEditorial.jsp?OID=536915303&NAV_ID=-11154.536880943.03&LANGUAGE_CODE=eng&COUNTRY_CODE=ZZ and take a look at this link as well: http://exchange.ni.com/servlet/ProcessRequest?RHIVEID=101&RPAGEID=135&HOID=50650000000800000034B10000&USEARCHCONTEXT_CATEGORY_0=_49_%24_6_&USEARCHCONTEXT_CATEGORY_S=0&UCATEGORY_0=_49_%24_6_&UCATEGORY...

How to acquire data from Network Analyzer through GPIB using LabView 5.1
Hello, Please help me in acquiring data from HP8722D Network Analyzer through GPIB using LabView 5.1. &nbsp; I probably guess that I need to read data (Ex: Insertion Loss: dB vs. Hz) from Network Analyzer, store it in array and write it to file (excel file to be manipulated later).&nbsp; I don't know how to perform this sequence. If anyone can provide me with some examples (vi's), It would be greatly appreciated. Thanks, Robertson Thank you JenK for your response. I'm sorry that I posted the message twice accidentally. I was trying to retrieve or erase the message fro...

Is LabVIEW 7.1 Aug2005 identical to LabView 7.1 May2005?
I am attempting to have a coworker at a remote site set up their PC with the exact same software as one that I have here.&nbsp; I used the August 2005 CDs from Developer Suite.&nbsp; My coworker tells me that he has the TestStand 3.1, and the Device Driver CDs from the Aug2005 Dev Suite shipment, but he can only find LabView 7.1 from the May2005 delivery. &nbsp; I would like to safely&nbsp;assume that LabView 7.1 is LabView 7.1, regardless of whether it was shipped in May or August, but it is really important to me to make absolutely sure that we end up with the same software v...

Can I run a LabVIEW 7.1 Application on a system with LabVIEW 6.1?
The VI App did not run properly, even after I installed the LabVIEW 7.1 Run time engine. Perhpas I need to uninstall the LV 6.1 run time engine? Thank you for any suggestions; perhaps it's something minor that I'm overlooking! Are you talking about a 7.1 exe or VI? An executable will run with 6.1 installed and the 7.1 run-time. A 7.1 VI will only run with 7.1 development system. When you say it did not run properly, what exactly do you mean? I am referring to trying to run a 7.1 EXE application on a system with a resident 6.1 development environment, and the 7.1 run-time engine ins...

Save VI developed in Labview 6.1 to work in Labview 5.1
I have been working with Labview 6.1 but I need to execute my VIs in Labview 5.1 too. What can I do to reuse all the VIs without having to develop them again in Labview 5.1? I am not able to save my VIs as 5.1 from Labview 6.1 It only allows me to save them as Labview 6.0 Thank you! Assuming they can be converted, and there's not too many, you might want to try posting them here for someone to convert. (convert to 6.0 first and zip) Not too elegant but may get you out of a bind. Hello, Yes, each new version of LabVIEW only carries the capability to save for one version previous. So, you would need to save the 6.1 VIs for vesion 6.0, and then from LabVIEW 6.0 save for 5.1. If there aren't too many VIs, one of our engineers here would most likely have no problem with making the conversion for you. You could email NI with them to make it more private, if you'd like, rather than posting them on the site. (To create an email request, go to www.ni.com/ask). Hope this helps! Liz Fausak National Instruments ...

Using Labview 7.1 code on 6.1
Hi there, I was wondering if there's any way to open Labview 7.1 code on Labview 6.1. I wrote a lot of code using 7.1, and now I'm using a machine with 6.1. It's okay if some of the sub-vi's don't work. I just need the thing to open up. Thanks. Jenni. Hi again, Yes, I would appreciate it if someone could do the conversion for me. There are 3 pieces of code. It's written in 7.1 (OSX version), and I'd like it in 6.1 (PC). Also, help yourself to the code if anyone out there could use a post-processor for a 6 degree-of-freedom load cell. Thanks. Jenni. zero_si...

using labview to communicate using wi-fi usb adapters
hi,this is amit jain , a student of delhi university currently pursuing my bachelors of engineering in instrumentation and control. i am in my final year of my graduation and i am currently working on a project where i am going to control a level control unit from a lab which is at some distance from the lab in which the control unit is kept. so it means we have to acquire data and then send it to the other lab which we planned to do with two wi-fi usb adapters which sits in the usb ports of the two computers. now one more thing we are developing our project in labview and labview doesnt have built in vis for wi-fi. now we came to know that if we have to interface wi-fi with labview we have to do it by using the functions that are there in the dll files of the drivers that came with our device. but our problem is that we have list of the functions but not the prototypes, i mean the return types , parameters that needs to be passed in to those functions. &nbsp; the network which is setup between two usb adapters is an ad-hoc network. i just wanted to know whether this network is based&nbsp;on tcp/ip protocol. and can we use inbuilt tcp/ip vis to communicate between two wi-fi usb adapters.&nbsp;i mean in that case we need not interface our devices with the labview. please reply. thanks so much in advance. amit jain&nbsp; ...

Upgrading LabView program from 3.0.1 to 6.1
Hi, I have a LabView program which was written and run in LabView Version 3.0.1. We are upgrading our test system to LabView 6.1 and would like to port this program over to the new environment. When I tried opening up the program in 6.1 I got a message saying the version the program was written in was too old to upgrade to 6.1. Is there a way of porting an older version lab view program to a newer one without reentering everything? Thanks in advance... Dan Dan follow this link http://digital.ni.com/public.nsf/3efedde4322fef19862567740067f3cc/429e45271cfd683786256d87006b1eef?OpenDocument...

DSC module 7.1 labview 7.1, new controls and functions not showing up in labview
Dear Reader, I have installed labview 7.10 (also tried update to 7.11) and DSC module 7.1 I thought I would get additional functions and controls in labview due to installation of this module, but I do not see addtional controls or functions, althought I have searched for them and set the controls to "advance" etc. Anyone any idea what I have to do. thanks and regards. ...

I am using report generation toolkit 1.1 with Labview 7.0...
I am using report generation toolkit 1.1 with Labview 7.0 and Office 2003 professional. The create new report VI opens Excel but throws error (-2147167262- from automation open VI) when I try to open MS word. please help... I am using report generation toolkit 1.1 with Labview 7.0 and Office 2003 professional. The create new report VI opens Excel but throws error (-2147167262- from automation open VI) when I try to open MS word. please help... Hi Leo22, Does this error occur if you use any of the example programs that come shipped with LabVIEW? I would try opening one of the examples that ...

Where I can find documentation and updated drivers for Labview 3.1.1?
I'm running LabView 3.1.1 on a PowerMac 7600 and I have run into some difficulties geting it to work properly. The documentation has been lost and I cannot find it online anywhere. Any help with this and updated drivers would be greatly appreciated. Hi, Unfortunately our ability to help you is very limited. We do not provide official support so far back. However, you can try to search for the documentation at www.ni.com/manuals I hope you can find someone who has LabVIEW 3.1.1 documentation and visits the forums. Regards, Ankita A. National Instruments I have LV manuals going back t...

CA USB 8451 be used to program an Atmel AT88SC0104C using labview
We need to program a Crypto Memory 1 Kbit AT88SC0104C from Atmel I am looking for some feedback or technical assistance in Determining if I need the usb 8451 to program this device or can I use a standard usb data I/O device.&nbsp; Am also looking for some sample VI?s that may be for this device or similar I squared C devices. &nbsp;When in production I will need to program multiple assemblies with this IC. I will have direct access to the data and clock lines. But the part will be mounted on the assembly so I can not use a chip programming station. &nbsp;I need to develop a system FAST Hello, If you are needing to program your device using I2C or SPI then the <a href="http://sine.ni.com/nips/cds/view/p/lang/en/nid/202368" target="_blank">USB-8451</a> is the solution to do so if you want the device to be the slave and the 8451 to be a master because the USB-8451 can not be set to a slave mode.&nbsp; With the driver that comes with the USB-8451 there&nbsp;are several examples programs for using I2C and SPI communication in LabVIEW.&nbsp; We also have a <a href="http://digital.ni.com/manuals.nsf/websearch/5DD35472A266690F8625709F0044982B" target="_blank">software manual </a>for the VI's that are used in programming with the 8451. Daryl E.National InstrumentsApplications Engineers ...

Can I use NI-FGEN version 2.1 in LabView 7.1 ?
BACKGROUND: We are switching from using CVI to LabView. We have LabView version 7.1 (as part of developer suite). I am building a new test station with PXI chassis and items such as 5112 digitizer, 5411 Arb Wave Gen. NI-Scope version 2.6 came with the 5112. When I installed it, I did not get any VIs in tools panel, and no examples. Re-installed and checked box for "LabView 7.0" support. Then got examples in directory, but they would not run. Discovered that I needed NI-Scope 2.6.1 which includes support for LabView 7.1. PROBLEM: So before loading NI-FGEN 2.1 from the CD_ROM ...

using active-x with vbai3.0.1 and labview 8.2.1
Hi, I'm trying to use labview to run a VBAI script and return the measurement results and limit settings back to labview, i have setup the active-x to do this but get null refnums for the measurements and limits. any ideas about this? i have attached my labview code. &nbsp; Stewart. aml new vbai31.vi: http://forums.ni.com/attachments/ni/170/295815/1/aml new vbai31.vi ...

Help convert Associated Research 6550DT LabVIEW Driver from 3.1 to 7.1
I was asked to integrate&nbsp;this old hipot tester into an ATE system. I do not have the manuals but I found on their website the LabVIEW driver of this instrument. However only the 3.1&nbsp;version is available... "VI version (3.1) is&nbsp;too old to convert to the current LabVIEW version (7.1)." This error code generated when I tried to open the attached VI's. Can anyone help to do the conversion? Great thanks in advance! SUBVI.LLB: http://forums.ni.com/attachments/ni/170/295332/1/SUBVI.LLB HYPOT.VI: http://forums.ni.com/attachments/ni/170/295332/2/HYPOT.VI Hey, &nbsp; Attached you will find the compiled one. As you know, I don't guarantee that it works! &nbsp; Christian compiled.zip: http://forums.ni.com/attachments/ni/170/295340/1/compiled.zip ...

Test Stand 3.1, Labview 7.1 MechFactoryCWrap.cpp(649) error
Hi all, I am having some issues with an error and I can't track it down to the problem as of yet. What is happening is after a couple of cycle of opening TestStand and closing it with a few VIs loading in the background all of the 3D controls vanish and TestStand locks up. The warning message I get is something to do with MechFactoryCWrap and sometimes render.cpp with the error pointing to OpenGL. &nbsp; Below&nbsp;is a snippet from the failure log. &nbsp; D:\lvmerc\src\source\execsupp\MechFactoryCWrap.cpp(649) : DWarn: Max space cannot be zero; changing to -1 (unbounded)$Id: //labview/branches/Mercury/dev/source/execsupp/MechFactoryCWrap.cpp#3 $0x00A35B37 - LabVIEW &lt;unknown&gt; + 00x00A346F5 - LabVIEW &lt;unknown&gt; + 00x00A3688C - LabVIEW &lt;unknown&gt; + 00x00A349A3 - LabVIEW &lt;unknown&gt; + 00x00A3565C - LabVIEW &lt;unknown&gt; + 00x06993BD3 - &lt;unknown&gt; &lt;unknown&gt; + 00x06911A50 - &lt;unknown&gt; &lt;unknown&gt; + 00x00A09110 - LabVIEW &lt;unknown&gt; + 00x8B535CEC - &lt;unknown&gt; &lt;unknown&gt; + 0 &nbsp; Any help would be appreciated. Dean &nbsp; &nbsp; &nbsp; Hi Dean, &nbsp; This failure is linked to LabVIEW 7.1. This was reported to R&amp;D (4APEN0XP) and was fixed in LabVIEW 8.2. &nbsp; If you would like to evaluate LabVIEW 8.5, please follow the link below: <a href="https://lumen.ni.com/nicif/us/lve...

searched: labview 3.1.1(on macintosh) keithley 487 picoameter device driver
there is no support neither from national instruments nor keithley- maybe somebody has this driver! contact: gulurk at netscape dot net thanks! Hi Dirk, Do you mean to say that Keithley no longer supports that piece of hardware? If so, does Keithley at least have a download or support center where you can find legacy drivers and maybe figure out by yourself how to use them? Hopefully they should have something that they can give you, if not an alternative piece of hardware that they support and can get the job done. Jeremy L. National Instruments Hello Dirk, I only have a self-written...

Web resources about - Using GPIB-USB HS with Labview 3.1 - comp.lang.labview

GPIB To USB, With A Python API
... the back of these machines, labeled GPIB or IEEE-488. This is the standard interface for these devices, and if you’ve ever priced out a USB ...

Resources last updated: 3/19/2016 3:44:56 PM